Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSAttrElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSAttrElement

All Implemented Interfaces:
  SomeAttrElement, ValueElementsParent, XDSElement

public class XDSAttrElement
extends ElementImpl
implements ValueElementsParent, SomeAttrElement

An `<attr>` element.

See Also:
  `XDSInstanceElement.appendAttrElement()`, `XDSInstanceElement.extractAttrElements()`, `XDSInstanceElement.childElements()`

Method Summary
`XDSValueElement` | `appendValueElement()` Appends an empty, child `<value>` element to this element.
`XDSValueElement` | `appendValueElement(String someText)` Appends a child `<value>` element to this element.
`XDSValueElement` | `appendValueElement(ValueType someType, String someText)` Appends a child `<value>` element to this element.
`List` | `childElements()` Returns this element's child elements.
`List` | `extractValueElements()` Returns this element's child `<value>` elements.
`String` | `getAttrName()` Gets the value of this element's `attr-name` attribute.
`void` | `setAttrName(String someName)` Sets this element's `attr-name` attribute to `someName`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### extractValueElements

    public List extractValueElements()

  Description copied from interface: `ValueElementsParent`
  Returns this element's child `<value>` elements.

  Invocation Context:
    READ

  Specified by:
    `extractValueElements` in interface `ValueElementsParent`
  Returns:
    a list of one or more `XDSValueElement` objects; will not return `null`

### childElements

    public List childElements()

  Description copied from interface: `ValueElementsParent`
  Returns this element's child elements.

  Invocation Context:
    READ

  Specified by:
    `childElements` in interface `ValueElementsParent`
  Overrides:
    `childElements` in class `ElementImpl`

### getAttrName

    public String getAttrName()

  Description copied from interface: `SomeAttrElement`
  Gets the value of this element's `attr-name` attribute.

  Invocation Context:
    READ

  Specified by:
    `getAttrName` in interface `SomeAttrElement`
  Returns:
    will not return `null`; will not return `""`

### setAttrName

    public void setAttrName(String someName)

  Description copied from interface: `SomeAttrElement`
  Sets this element's `attr-name` attribute to `someName`.

  Invocation Context:
    WRITE

  Specified by:
    `setAttrName` in interface `SomeAttrElement`
  Parameters:
    `someName` - if `null` or `""`, no action is taken

### appendValueElement

    public XDSValueElement appendValueElement()

  Description copied from interface: `ValueElementsParent`
  Appends an empty, child `<value>` element to this element.

  Invocation Context:
    WRITE

  Specified by:
    `appendValueElement` in interface `ValueElementsParent`
  Returns:
    will not return `null`

### appendValueElement

    public XDSValueElement appendValueElement(String someText)

  Description copied from interface: `ValueElementsParent`
  Appends a child `<value>` element to this element. The `<value>` element contains the text `someText`.

  Invocation Context:
    WRITE

  Specified by:
    `appendValueElement` in interface `ValueElementsParent`
  Parameters:
    `someText` - if `null` or `""`, an empty `<value>` element is appended
  Returns:
    will not return `null`

### appendValueElement

    public XDSValueElement appendValueElement(ValueType someType,
                                              String someText)

  Description copied from interface: `ValueElementsParent`
  Appends a child `<value>` element to this element. The `<value>` element contains the text `someText`. The `<value>` element's `type` attribute is set to `someType`.

  Invocation Context:
    WRITE

  Specified by:
    `appendValueElement` in interface `ValueElementsParent`
  Parameters:
    `someType` - if `null`, a `type` attribute is omitted
    `someText` - if `null` or `""`, an empty `<value>` element is appended
  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD